Bug 109092 - [CI][DRMTIP]igt@kms_atomic_transition@3x-modeset-transitions* - fail - Failed assertion: ret == 0, Last errno: 22, Invalid argument
Summary: [CI][DRMTIP]igt@kms_atomic_transition@3x-modeset-transitions* - fail - Failed...
Status: RESOLVED WORKSFORME
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-19 05:41 UTC by Lakshmi
Modified: 2019-04-23 13:44 UTC (History)
3 users (show)

See Also:
i915 platform: ICL
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2018-12-19 05:41:55 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_170/fi-icl-u3/igt@kms_atomic_transition@3x-modeset-transitions-fencing.html

Starting subtest: 3x-modeset-transitions-fencing
(kms_atomic_transition:3588) igt_kms-CRITICAL: Test assertion failure function igt_display_commit_atomic, file ../lib/igt_kms.c:3399:
(kms_atomic_transition:3588) igt_kms-CRITICAL: Failed assertion: ret == 0
(kms_atomic_transition:3588) igt_kms-CRITICAL: Last errno: 22, Invalid argument
(kms_atomic_transition:3588) igt_kms-CRITICAL: error: -22 != 0
Subtest 3x-modeset-transitions-fencing failed.
**** DEBUG ****
(kms_atomic_transition:3588) igt_kms-DEBUG: DP-2: Setting property "CRTC_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: DP-2: Setting property "Broadcast RGB" to 0x1/1
(kms_atomic_transition:3588) igt_kms-DEBUG: display:     DP-3: preparing atomic, pipe: None
(kms_atomic_transition:3588) igt_kms-DEBUG: DP-3: Setting property "CRTC_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: DP-3: Setting property "Broadcast RGB" to 0x1/1
(kms_atomic_transition:3588) igt_kms-DEBUG: display:     DP-4: preparing atomic, pipe: None
(kms_atomic_transition:3588) igt_kms-DEBUG: DP-4: Setting property "CRTC_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: DP-4: Setting property "Broadcast RGB" to 0x1/1
(kms_atomic_transition:3588) igt_kms-DEBUG: display: }
(kms_atomic_transition:3588) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(kms_atomic_transition:3588) igt_kms-DEBUG: display: eDP-1: set_pipe(None)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: eDP-1: Selecting pipe None
(kms_atomic_transition:3588) igt_kms-DEBUG: display: DP-1: set_pipe(None)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: DP-1: Selecting pipe None
(kms_atomic_transition:3588) igt_kms-DEBUG: display: HDMI-A-2: set_pipe(None)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: HDMI-A-2: Selecting pipe None
(kms_atomic_transition:3588) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: plane_set_fb(0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: plane_set_size (0x0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: fb_set_position(0,0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: fb_set_size(0x0)
(kms_atomic_transition:3588) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: plane_set_fb(0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: plane_set_size (0x0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: fb_set_position(0,0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: fb_set_size(0x0)
(kms_atomic_transition:3588) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_atomic_transition:3588) igt_kms-DEBUG: display: C.0: plane_set_fb(0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: C.0: plane_set_size (0x0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: C.0: fb_set_position(0,0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: C.0: fb_set_size(0x0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: commit {
(kms_atomic_transition:3588) igt_kms-DEBUG: Pipe A: Setting property "MODE_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: Pipe A: Setting property "ACTIVE" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: display:     populating plane data: A.0, fb 0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "SRC_X" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "SRC_Y" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "SRC_W" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "SRC_H" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "CRTC_W" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "CRTC_H" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "FB_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "CRTC_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: Pipe B: Setting property "MODE_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: Pipe B: Setting property "ACTIVE" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: display:     populating plane data: B.0, fb 0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "SRC_X" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "SRC_Y" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "SRC_W" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "SRC_H" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "CRTC_W" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "CRTC_H" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "FB_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "CRTC_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: Pipe C: Setting property "MODE_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: Pipe C: Setting property "ACTIVE" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: display:     populating plane data: C.0, fb 0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane C.0: Setting property "SRC_X" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane C.0: Setting property "SRC_Y" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane C.0: Setting property "SRC_W" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane C.0: Setting property "SRC_H" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane C.0: Setting property "CRTC_W" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane C.0: Setting property "CRTC_H" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane C.0: Setting property "FB_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane C.0: Setting property "CRTC_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: display:     eDP-1: preparing atomic, pipe: None
(kms_atomic_transition:3588) igt_kms-DEBUG: eDP-1: Setting property "CRTC_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: display:     DP-1: preparing atomic, pipe: None
(kms_atomic_transition:3588) igt_kms-DEBUG: DP-1: Setting property "CRTC_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: display:     HDMI-A-2: preparing atomic, pipe: None
(kms_atomic_transition:3588) igt_kms-DEBUG: HDMI-A-2: Setting property "CRTC_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: display: }
(kms_atomic_transition:3588) DEBUG: Event mask: 7, waiting for 3 events
(kms_atomic_transition:3588) DEBUG: Retrieved vblank seq: 22845 on unk/unk
(kms_atomic_transition:3588) DEBUG: Retrieved vblank seq: 21045 on unk/unk
(kms_atomic_transition:3588) DEBUG: Retrieved vblank seq: 10143 on unk/unk
(kms_atomic_transition:3588) igt_kms-DEBUG: display: eDP-1: set_pipe(None)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: eDP-1: Selecting pipe None
(kms_atomic_transition:3588) igt_kms-DEBUG: display: DP-1: set_pipe(None)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: DP-1: Selecting pipe None
(kms_atomic_transition:3588) igt_kms-DEBUG: display: HDMI-A-2: set_pipe(None)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: HDMI-A-2: Selecting pipe None
(kms_atomic_transition:3588) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_atomic_transition:3588) igt_kms-DEBUG: display: eDP-1: set_pipe(A)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: eDP-1: Selecting pipe A
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: plane_set_fb(316)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: plane_set_size (3840x2160)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: fb_set_position(0,0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: fb_set_size(3840x2160)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: fb_set_size(3840x2160)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: plane_set_size (3840x2160)
(kms_atomic_transition:3588) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_atomic_transition:3588) igt_kms-DEBUG: display: DP-1: set_pipe(B)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: DP-1: Selecting pipe B
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: plane_set_fb(316)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: plane_set_size (3840x2160)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: fb_set_position(0,0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: fb_set_size(3840x2160)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: fb_set_size(3840x2160)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: plane_set_size (3840x2160)
(kms_atomic_transition:3588) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_atomic_transition:3588) igt_kms-DEBUG: display: eDP-1: set_pipe(None)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: eDP-1: Selecting pipe None
(kms_atomic_transition:3588) igt_kms-DEBUG: display: DP-1: set_pipe(None)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: DP-1: Selecting pipe None
(kms_atomic_transition:3588) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_atomic_transition:3588) igt_kms-DEBUG: display: eDP-1: set_pipe(A)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: eDP-1: Selecting pipe A
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: plane_set_fb(261)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: plane_set_size (3840x2160)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: fb_set_position(0,0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: fb_set_size(3840x2160)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: fb_set_size(3840x2160)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: A.0: plane_set_size (3840x2160)
(kms_atomic_transition:3588) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: plane_set_fb(0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: plane_set_size (0x0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: fb_set_position(0,0)
(kms_atomic_transition:3588) igt_kms-DEBUG: display: B.0: fb_set_size(0x0)
(kms_atomic_transition:3588) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_atomic_transition:3588) igt_kms-DEBUG: display: commit {
(kms_atomic_transition:3588) igt_kms-DEBUG: Pipe A: Setting property "MODE_ID" to 0x106/262
(kms_atomic_transition:3588) igt_kms-DEBUG: Pipe A: Setting property "ACTIVE" to 0x1/1
(kms_atomic_transition:3588) igt_kms-DEBUG: display:     populating plane data: A.0, fb 261
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "SRC_X" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "SRC_Y" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "SRC_W" to 0xf000000/251658240
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "SRC_H" to 0x8700000/141557760
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "CRTC_W" to 0xf00/3840
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "CRTC_H" to 0x870/2160
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "FB_ID" to 0x105/261
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "CRTC_ID" to 0x52/82
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "COLOR_ENCODING" to 0x1/1
(kms_atomic_transition:3588) igt_kms-DEBUG: plane A.0: Setting property "COLOR_RANGE" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: Pipe B: Setting property "MODE_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: Pipe B: Setting property "ACTIVE" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: display:     populating plane data: B.0, fb 0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "SRC_X" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "SRC_Y" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "SRC_W" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "SRC_H" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "CRTC_W" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "CRTC_H" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "FB_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "CRTC_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "COLOR_ENCODING" to 0x1/1
(kms_atomic_transition:3588) igt_kms-DEBUG: plane B.0: Setting property "COLOR_RANGE" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: display:     eDP-1: preparing atomic, pipe: A
(kms_atomic_transition:3588) igt_kms-DEBUG: eDP-1: Setting property "CRTC_ID" to 0x52/82
(kms_atomic_transition:3588) igt_kms-DEBUG: display:     DP-1: preparing atomic, pipe: None
(kms_atomic_transition:3588) igt_kms-DEBUG: DP-1: Setting property "CRTC_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: display:     HDMI-A-2: preparing atomic, pipe: None
(kms_atomic_transition:3588) igt_kms-DEBUG: HDMI-A-2: Setting property "CRTC_ID" to 0x0/0
(kms_atomic_transition:3588) igt_kms-DEBUG: display: }
(kms_atomic_transition:3588) igt_kms-CRITICAL: Test assertion failure function igt_display_commit_atomic, file ../lib/igt_kms.c:3399:
(kms_atomic_transition:3588) igt_kms-CRITICAL: Failed assertion: ret == 0
(kms_atomic_transition:3588) igt_kms-CRITICAL: Last errno: 22, Invalid argument
(kms_atomic_transition:3588) igt_kms-CRITICAL: error: -22 != 0
(kms_atomic_transition:3588) igt_core-INFO: Stack trace:
(kms_atomic_transition:3588) igt_core-INFO:   #0 ../lib/igt_core.c:1467 __igt_fail_assert()
(kms_atomic_transition:3588) igt_core-INFO:   #1 ../lib/igt_kms.c:3400 igt_display_commit_atomic()
(kms_atomic_transition:3588) igt_core-INFO:   #2 ../tests/kms_atomic_transition.c:608 commit_display()
(kms_atomic_transition:3588) igt_core-INFO:   #3 ../tests/kms_atomic_transition.c:775 run_modeset_tests()
(kms_atomic_transition:3588) igt_core-INFO:   #4 ../tests/kms_atomic_transition.c:862 run_modeset_transition()
(kms_atomic_transition:3588) igt_core-INFO:   #5 ../tests/kms_atomic_transition.c:979 __real_main877()
(kms_atomic_transition:3588) igt_core-INFO:   #6 ../tests/kms_atomic_transition.c:877 main()
(kms_atomic_transition:3588) igt_core-INFO:   #7 ../csu/libc-start.c:344 __libc_start_main()
(kms_atomic_transition:3588) igt_core-INFO:   #8 [_start+0x2a]
****  END  ****
Subtest 3x-modeset-transitions-fencing: FAIL (0.746s)
Comment 2 CI Bug Log 2019-01-25 13:30:56 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_atomic_transition@3x-modeset-transitions* - fail - Failed assertion: ret == 0, Last errno: 22, Invalid argument -}
{+ ICL: igt@kms_atomic_transition@3x-modeset-transitions* - fail - Failed assertion: ret == 0, Last errno: 22, Invalid argument +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_195/fi-icl-u3/igt@kms_atomic_transition@3x-modeset-transitions-nonblocking-fencing.html
Comment 3 James Ausmus 2019-04-05 21:11:30 UTC
Lakshmi - this hasn't been seen in 2.5 months, can it be closed now?
Comment 4 Martin Peres 2019-04-23 13:44:30 UTC
(In reply to James Ausmus from comment #3)
> Lakshmi - this hasn't been seen in 2.5 months, can it be closed now?

Used to happen every 5 runs in average. Now not seen since drmtip_195. We are at drmtip_263 now, closing!
Comment 5 CI Bug Log 2019-04-23 13:44:39 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.